Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 538570 - =dev-qt/qtgui-5.4.0 on bigendian architectures - image/qimage_conversions.cpp:2257:9: error: expected ‘}’ before numeric constant
Summary: =dev-qt/qtgui-5.4.0 on bigendian architectures - image/qimage_conversions.cpp...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: https://bugreports.qt.io/browse/QTBUG...
Whiteboard:
Keywords: PATCH, UPSTREAM
Depends on:
Blocks:
 
Reported: 2015-02-02 18:35 UTC by Jeroen Roovers (RETIRED)
Modified: 2015-02-24 20:18 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qtgui-5.4.0-bigendian.patch (qtgui-5.4.0-bigendian.patch,239 bytes, patch)
2015-02-02 18:35 UTC, Jeroen Roovers (RETIRED)
Details | Diff
qtgui-5.4.0-bigendian.patch (qtgui-5.4.0-bigendian.patch,384 bytes, patch)
2015-02-02 18:42 UTC, Jeroen Roovers (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers (RETIRED) gentoo-dev 2015-02-02 18:35:10 UTC
Created attachment 395396 [details, diff]
qtgui-5.4.0-bigendian.patch

Seeing as how shallow this bug is, I'm not sure there aren't more of these to follow.
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2015-02-02 18:42:09 UTC
Created attachment 395398 [details, diff]
qtgui-5.4.0-bigendian.patch

One more in the very same file.
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2015-02-02 18:56:06 UTC
(In reply to Jeroen Roovers from comment #1)
> Created attachment 395398 [details, diff] [details, diff]
> qtgui-5.4.0-bigendian.patch
> 
> One more in the very same file.

That should be all for this bug now that src_compile() passes.
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2015-02-02 19:00:14 UTC
Fixed.
Comment 4 Davide Pesavento gentoo-dev 2015-02-02 20:33:35 UTC
Ehm no, the patch needs to be applied to the overlay ebuilds too, otherwise it could be lost on the next version bump...
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2015-02-03 10:42:37 UTC
In that case, upstream should be interested as well.
Comment 6 Davide Pesavento gentoo-dev 2015-02-03 17:04:29 UTC
Awesome, thanks a lot!
Comment 7 Jeroen Roovers (RETIRED) gentoo-dev 2015-02-05 10:02:57 UTC
This is (going to be) fixed in 5.4.1.
Comment 8 Davide Pesavento gentoo-dev 2015-02-18 17:23:42 UTC
Cool, I'm closing then. Thanks.